> ## Documentation Index
> Fetch the complete documentation index at: https://nixtla.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Fine-tuned Model

> Delete a previously saved finetuned model. It takes the ID of the model that you want to delete as a path parameter.



## OpenAPI

````yaml /openapi.json delete /v2/finetuned_models/{finetuned_model_id}
openapi: 3.1.0
info:
  title: Nixtla Forecast API
  description: >-
    API for TimeGPT forecast. Just send your data as json and get results. We do
    the heavy lifting.
  version: 2025.8.3
servers:
  - url: https://api.nixtla.io
security: []
paths:
  /v2/finetuned_models/{finetuned_model_id}:
    delete:
      summary: Delete Fine-tuned Model
      description: >-
        Delete a previously saved finetuned model. It takes the ID of the model
        that you want to delete as a path parameter.
      operationId: >-
        v2_finetuned_models_delete_v2_finetuned_models__finetuned_model_id__delete
      parameters:
        - name: finetuned_model_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-zA-Z0-9\-_]{1,36}$
            title: Finetuned Model Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: HTTPBearer
      scheme: bearer

````